Channel Management
Update Channel Info
Update or add channel basic information
POST
Overview
Update or add basic information for channels, including channel type, large group identifier, mute status, etc.Request Body
Required Parameters
Channel ID
Channel type
1- Personal channel2- Group channel
Optional Parameters
Whether to mute
0- Allow speaking1- Mute all members
Whether to disband channel
1- Disband channel (irreversible)
Whether to prohibit sending messages (0=not prohibited, 1=prohibited). When prohibited, all members in the channel cannot send messages. Personal channels can receive messages but cannot send messages.
Whether to allow strangers to send messages (0=not allowed, 1=allowed) (this configuration currently only supports personal channels)
Personal channel: If AllowStranger is 1, strangers can send messages to the current user. For example: if the current account needs to accept stranger messages, channel_id is the current user’s uid
Response Fields
Operation status, returns
"ok" on successStatus Codes
| Status Code | Description |
|---|---|
| 200 | Channel info updated successfully |
| 400 | Request parameter error |
| 404 | Channel does not exist |
| 500 | Internal server error |
Parameter Details
Channel Type (channel_type)
| Value | Type | Description | Features |
|---|---|---|---|
| 1 | Personal channel | One-on-one private chat | Only two members, no group features |
| 2 | Group channel | Multi-user group chat | Supports multiple members, group management features |
Mute Status (ban)
| Value | Description | Scope | Management Permission |
|---|---|---|---|
| 0 | Allow speaking | All members can send messages normally | Group owner and admins can modify |
| 1 | Mute all | Only admins can send messages | Only group owner can modify |

